Open CASCADE Technology: GeomToStep_MakeAxis2Placement3d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomToStep_MakeAxis2Placement3d Class Reference

This class implements the mapping between classes Axis2Placement from Geom and Ax2, Ax3 from gp, and the class Axis2Placement3d from StepGeom which describes an axis2_placement_3d from Prostep. More...

`#include <GeomToStep_MakeAxis2Placement3d.hxx>`

Inheritance diagram for GeomToStep_MakeAxis2Placement3d:
[legend]

## Public Member Functions
| GeomToStep_MakeAxis2Placement3d ()
| GeomToStep_MakeAxis2Placement3d (const gp_Ax2 &A)
| GeomToStep_MakeAxis2Placement3d (const gp_Ax3 &A)
| GeomToStep_MakeAxis2Placement3d (const gp_Trsf &T)
| GeomToStep_MakeAxis2Placement3d (const Handle< Geom_Axis2Placement > &A)
const Handle < StepGeom_Axis2Placement3d > & | Value () const
Public Member Functions inherited from GeomToStep_Root
Standard_Boolean | IsDone () const

## Additional Inherited Members
Protected Attributes inherited from GeomToStep_Root
Standard_Boolean | done

## Detailed Description

This class implements the mapping between classes Axis2Placement from Geom and Ax2, Ax3 from gp, and the class Axis2Placement3d from StepGeom which describes an axis2_placement_3d from Prostep.

## Constructor & Destructor Documentation

GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( |  | ) |

GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Ax2 & | A | ) |

GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Ax3 & | A | ) |

GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Trsf & | T | ) |

GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const Handle< Geom_Axis2Placement > & | A | ) |

## Member Function Documentation

const Handle< StepGeom_Axis2Placement3d >& GeomToStep_MakeAxis2Placement3d::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- GeomToStep_MakeAxis2Placement3d.hxx